[roundcube]

user  = roundcube
group = roundcube

; control socket (presented to web server)
listen = /run/php/roundcube.sock
listen.owner = www-data
listen.group = www-data
listen.mode = 0600

; logging
; This side of FPM can't log to syslog, alas.
; Putting this log with the other web access logs.
; Note that /var/log/roundcube/ is writable by less-trusted
; app user (while FPM starts as root) so don't use that dir.
access.log = /var/log/apache2/example.com/fpm-access
catch_workers_output = yes
decorate_workers_output = yes

; processes
pm = dynamic
pm.max_children = 10	; should match max=X in Apache ProxyMatchPass
pm.start_servers = 1
pm.min_spare_servers = 1
pm.max_spare_servers = 3
pm.max_requests = 100
;
; I'm not using ondemand because I want at least one child to start initially
; so that problems in that sequence hopefully show up sooner, and to give
; better initial response time.  Also gives me a warm fuzzy looking at the
; process list.
;
; This isn't quite as dynamic as I would like.  If it gets a bunch of requests
; at once and spawns several children to handle them, I'd like it to keep them
; all around for a minute or two, then gradually prune them back until only
; one is left waiting again.  But it can't do that.

; Kill off workers that don't complete after X time.
;request_terminate_timeout = 2m

; EOF
